GEThttps://api.spirestock.com/api/v1/dashboard/stats#
Retrieve summary statistics for the organization dashboard including order counts by status, employee metrics, revenue, and collection data.
Example request
curl https://api.spirestock.com/api/v1/dashboard/stats \
-H "Authorization: Bearer YOUR_TOKEN"Example response
{
"response_code": 200,
"data": {
"date": "2026-10-22",
"order_initiated_count": 23,
"order_forwarded_count": 15,
"order_approved_count": 48,
"order_delivered_count": 1198,
"total_employees": 156,
"today_attendance": 142,
"total_tagged_outlets": 890,
"today_tagged_outlets": 12,
"today_revenue": 48250,
"pending_amount": 125000,
"total_collection": 892500,
"today_collection": 35000,
"total_retailers": 9918,
"total_distributors": 298,
"active_distributors": 112,
"inactive_distributors": 186,
"primary_orders_count": 0,
"secondary_orders_count": 0,
"fieldwork_count": 0,
"other_works_count": 0,
"leave_count": 0,
"not_marked_count": 82,
"new_retailers_count": 0,
"visited_outlets": 0,
"productive_outlets": 0,
"unproductive_outlets": 0,
"productivity_percent": 0
}
}